/**  版本信息模板在安装目录下，可自行修改。
* account.cs
*
* 功 能： N/A
* 类 名： account
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024-07-27 10:51:14   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Jpsoft.Model
{
	/// <summary>
	/// account:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Account
	{
		public Account()
		{}
		#region Model
		private string _id_;
		private string _customer_id;
		private string _work_id;
		private int? _type_;
		private string _plan_number;
		private decimal? _actual_amount;
		private decimal? _cloth_amount;
		private decimal? _roll_amount;
		private decimal? _total_amount;
		private bool _del_flag;
		private string _create_by;
		private DateTime? _create_time;
		private string _update_by;
		private DateTime? _update_time;
		/// <summary>
		/// 
		/// </summary>
		public string id_
		{
			set{ _id_=value;}
			get{return _id_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string customer_id
		{
			set{ _customer_id=value;}
			get{return _customer_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string work_id
		{
			set{ _work_id=value;}
			get{return _work_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? type_
		{
			set{ _type_=value;}
			get{return _type_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string plan_number
		{
			set{ _plan_number=value;}
			get{return _plan_number;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? actual_amount
		{
			set{ _actual_amount=value;}
			get{return _actual_amount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? cloth_amount
		{
			set{ _cloth_amount=value;}
			get{return _cloth_amount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? roll_amount
		{
			set{ _roll_amount=value;}
			get{return _roll_amount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? total_amount
		{
			set{ _total_amount=value;}
			get{return _total_amount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool del_flag
		{
			set{ _del_flag=value;}
			get{return _del_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string create_by
		{
			set{ _create_by=value;}
			get{return _create_by;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? create_time
		{
			set{ _create_time=value;}
			get{return _create_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string update_by
		{
			set{ _update_by=value;}
			get{return _update_by;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? update_time
		{
			set{ _update_time=value;}
			get{return _update_time;}
		}
		#endregion Model

	}
}

